### File

`packages/eui/packages/components-next/src/lib/components/eui-chip/models/eui-chip.model.ts`

### Index

###### Properties
euiInternalId Optional iconClass id isDisabled isOutline isRemovable isRounded label sizeClass tooltip typeClass

### Constructor

`constructor(values: Object)`
Parameters :
Name | Type | Optional
values | `Object` | No

### Properties

euiInternalId
Type : `string`

Optional iconClass
Type : `string`

id
Type : `string | number`

isDisabled
Default value : `false`

isOutline
Default value : `false`

isRemovable
Default value : `false`

isRounded
Default value : `false`

label
Type : `string`

sizeClass
Default value : `'euiSizeM'`

tooltip
Type : `EuiChipTooltip`

typeClass
Default value : `'primary'`

# result-matching ""

# No results matching ""